%define _requires_exceptions FreezeThaw

%define real_name MLDBM

Summary:	MLDBM - store multi-level hash structure in single level tied hash
Name:		perl-%{real_name}
Version:	2.01
Release:	6mdk
License:	GPL or Artistic
Group:		Development/Perl
URL:            http://search.cpan.org/dist/%{real_name}
Source0:	http://www.cpan.org/authors/id/C/CH/CHAMAS/%{real_name}-%{version}.tar.bz2
BuildRequires:	perl-devel
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This module can serve as a transparent interface to any TIEHASH package
that is required to store arbitrary perl data, including nested references.
Thus, this module can be used for storing references and other arbitrary data
within DBM databases.

It works by serializing the references in the hash into a single string. In the
underlying TIEHASH package (usually a DBM database), it is this string that
gets stored.  When the value is fetched again, the string is deserialized to
reconstruct the data structure into memory.

For historical and practical reasons, it requires the Data::Dumper package,
available at any CPAN site. Data::Dumper gives you really nice-looking dumps of
your data structures, in case you wish to look at them on the screen, and
it was the only serializing engine before version 2.00.  However, as of version
2.00, you can use any of Data::Dumper, FreezeThaw or Storable to
perform the underlying serialization, as hinted at by the SYNOPSIS overview
above.  Using Storable is usually much faster than the other methods.

See the BUGS section for important limitations.

%prep
%setup -q -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/MLDBM*
%{_mandir}/*/*

%changelog
* Fri Jul 15 2005 Oden Eriksson <oeriksson@mandriva.com> 2.01-6mdk
- fixup

* Wed Aug 13 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.01-5mdk
- rebuild against new perl
- drop Prefix tag
- drop $RPM_OPT_FLAGS, noarch..
- don't use PREFIX
- use %%makeinstall_std macro

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.01-4mdk
- rebuild for new auto{prov,req}

* Mon Aug  5 2002 Pixel <pixel@mandrakesoft.com> 2.01-3mdk
- don't include perl_vendorarch dir

* Tue Jul 09 2002 Christian Belisle <cbelisle@mandrakesoft.com> 2.01-2mdk
- install in vendor_perl.

* Tue Jul 09 2002 Christian Belisle <cbelisle@mandrakesoft.com> 2.01-1mdk
- new version 2.01.
- updated Source and License.
- rebuild with new perl 5.8.0.
- remove filelist.
- macroize

* Mon Oct 15 2001 Stefan van der Eijk <stefan@eijk.nu> 2.00-9mdk
- BuildRequires: perl-devel

* Sun Jun 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.00-8mdk
- Remove Vendor and Distribution tag.
- Rebuild for the latest perl.

* Tue Mar 13 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 2.00-7mdk
- BuildArch: noarch
- add docs
- rename spec file
- clean up spec a bit
- run automated tests

* Sat Sep 16 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 2.00-6mdk
- Call spec-helper before creating filelist

* Wed Aug 09 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.00-5mdk
- Macroized mackage

* Sun Aug 29 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- bzip2'd sources

* Tue May 11 1999 root <root@alien.devel.redhat.com>
- Spec file was autogenerated. 
